
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>监测第三方接口的应答状态 / iVAN</title>

    <meta name="description" content="监测第三方接口的应答状态 监测第三方接口的应答状态 有时候第三方接口不可访问,比如返回502(服务宕了),403(拒绝访问),导致程序报错. 经常是用户访问不了,或界面报错, 然后开发同学吭哧吭哧地排查,结果发现是协作方接口的问题,费力不讨好. 为了检查第三方接口的可用性,我写了一个接口,如下: package com.girltest.web.controller; import com.common.util.SystemHWUtil; import com.io.hw.json.HWJacksonUtils; im">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">监测第三方接口的应答状态</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2><strong>监测第三方接口的应答状态 </strong></h2>
<p>有时候第三方接口不可访问,比如返回502(服务宕了),403(拒绝访问),导致程序报错. <br />
经常是用户访问不了,或界面报错, <br />
然后开发同学吭哧吭哧地排查,结果发现是协作方接口的问题,费力不讨好. <br />
为了检查第三方接口的可用性,我写了一个接口,如下:</p>
<pre><code>package com.girltest.web.controller;

import com.common.util.SystemHWUtil;
import com.io.hw.json.HWJacksonUtils;
import com.string.widget.util.ValueWidget;
import com.string.widget.util.XSSUtil;
import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by 黄威 on 4/8/16.&lt;br &gt;
 */
@Controller
@RequestMapping("/testapi")
public class TestThirdApiController {
    protected static Logger logger = Logger.getLogger(TestThirdApiController.class);

    /***
     * 用于测试协作方接口是否可以访问,比如403 表示拒绝访问&lt;br&gt;
     * 注意:若上线,则该接口需要鉴权
     *
     * @param apiPath
     * @param requestMethod
     * @return :&lt;br&gt;
     * {
     * apiPath: "http://i.chanjet.com/user/userAndAppInfo",
     * apiPath url encoded: "http%3A%2F%2Fi.chanjet.com%2Fuser%2FuserAndAppInfo",
     * responseCode: 401
     * }
     * @throws IOException
     */
    @RequestMapping(value = "/testapi", produces = SystemHWUtil.RESPONSE_CONTENTTYPE_JSON_UTF)
    @ResponseBody
    public String test(String apiPath, String requestMethod) throws IOException {
        apiPath = XSSUtil.deleteXSS(apiPath);
        if (ValueWidget.isNullOrEmpty(apiPath)) {
            logger.error("apiPath is null");
            return null;
        }
        if (!apiPath.startsWith("http")) {//例如:apiPath的值为:i.chanjet.com%2Fuser%2FuserAndAppInfo
            //自动在前面补充http://
            apiPath = "http://" + apiPath;
        }
        URL url = new URL(apiPath);
        URLConnection urlConnection = url.openConnection();
        HttpURLConnection httpUrlConnection = (HttpURLConnection) urlConnection;
        httpUrlConnection.setDoInput(true);
        httpUrlConnection.setUseCaches(false);
        if (!ValueWidget.isNullOrEmpty(requestMethod)) {
            httpUrlConnection.setRequestMethod(requestMethod);
        }
        int responseStatusCode = SystemHWUtil.NEGATIVE_ONE;//-1
        try {
            httpUrlConnection.connect();
            responseStatusCode = httpUrlConnection.getResponseCode();
        } catch (java.net.UnknownHostException ex) {
            ex.printStackTrace();
        }

        httpUrlConnection.disconnect();
        logger.info("responseStatusCode:" + responseStatusCode);
        Map&lt;String, Object&gt; map = new HashMap&lt;String, Object&gt;();
        map.put("responseCode", responseStatusCode);
        map.put("apiPath", apiPath);
        map.put("apiPath url encoded", URLEncoder.encode(apiPath, SystemHWUtil.CHARSET_UTF));
        return HWJacksonUtils.getJsonP(map);//序列化
    }
}
</code></pre>
<p>测试: <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA0MDkxODUzMTYyNTk=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:40:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>监测第三方接口的应答状态的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv575b.html" rel="bookmark">七、HTTP应答状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    7.1 状态代码概述   Web服务器响应浏览器或其他客户程序的请求时,其应答一般由以下几个部分组成:一个状态行,几个应答头,一个空行,内容文档.下面是一个最简单的应答: HTTP/1.1 200 OKContent-Type: text/plain Hello World 状态行包含HTTP版本.状态代码.与状态代码对应的简短说明信息.在大多数情况下,除了Content-Type之外的所有应答头都是可选的.但Content-Type是必需的,它描述的是后面文档的MIME类型.虽然大多数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpmjrwz.html" rel="bookmark">jsp Servlet基础入门学习：HTTP应答状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|servlet     7.1 状态代码概述   Web服务器响应浏览器或其他客户程序的请求时,其应答一般由以下几个部分组成:一个状态行,几个应答头,一个空行,内容文档.下面是一个最简单的应答: HTTP/1.1 200 OKContent-Type: text/plain Hello World 状态行包含HTTP版本.状态代码.与状态代码对应的简短说明信息.在大多数情况下,除了Content-Type之外的所有应答头都是可选的.但Content-Type是必需的,它描述的是后面文档的M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLnZZb.html" rel="bookmark">JSP HTTP应答状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js   7.1 状态代码概述 Web服务器响应浏览器或其他客户程序的请求时,其应答一般由以下几个部分组成:一个状态行,几个应答头,一个空行,内容文档.下面是一个最简单的应答: HTTP/1.1 200 OK Content-Type: text/plain Hello World 状态行包含HTTP版本.状态代码.与状态代码对应的简短说明信息.在大多数情况下,除了Content-Type之外的所有应答头都是可选的.但Content-Type是必需的,它描述的是后面文档的MIME类型.虽然大多数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jvB9b.html" rel="bookmark">HTTP应答状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web服务器响应浏览器或其他客户程序的请求时,其应答一般由以下几个部分组成:一个状态行,几个应答头,一个空行,内容文档.下面是一个最简单的应答: HTTP/1.1 200 OK Content-Type: text/plain Hello World 状态行包含HTTP版本.状态代码.与状态代码对应的简短说明信息.在大多数情况下,除了Content-Type之外的所有应答头都是可选的.但Content-Type是必需的,它描述的是后面文档的MIME类型.虽然大多数应答都包含一个文档,但也有一些不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDePdz.html" rel="bookmark">腾讯低调推出微信公众平台第三方接口平台风铃</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 [最科技讯]最近,腾讯低调推出微信公众平台第三方接口平台风铃,除自定义菜单外,还有其他众多微信接口高级权限:一键生成HTML4和WAP站,留言.报名.抽奖等组件,集成QQ客服,打通微信与微博等. 腾讯风铃的最大卖点就是通过各种模块的选择快速的生成属于企业或者个人自己的微信APP,随着微信5.0的到来,服务号每月只能推送一条后,企业将只能通过微网站的方式来配合自定义回复接口为用户提供服务,图中可以看出风铃提供了16种不同功能的模块,包括抽奖.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nPPJz.html" rel="bookmark">快递查询接口&lpar;不要通过第三方接口&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 快递查询接口(不要通过第三方接口) 快递公司是否有提供对外的快递查询接口,怎样才能使用?不要通过第三方接口(如快递100,爱快递......都不是我想要的). 解决方案 快递物流第三方接口OpenJWeb网上商城快递查询第三方接口的实现webservice 第三方接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKkB4M.html" rel="bookmark">第三方开源Android TickPlusDrawable状态可以通过动画切换的按钮&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家展示下效果图,对第三方开源 android tickplusdrawable相关知识感兴趣的朋友一起学习吧. Android tickplusdrawable(TickPlusDrawable)是一个状态可以通过动画切换的按钮,Android tickplusdrawable(TickPlusDrawable)在github上的项目主页是:https://github.com/flavienlaurent/tickplusdrawable 测试代码: 布局: &lt;FrameLayout x			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6qqoyb.html" rel="bookmark">微信公众平台开发（72）第三方接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信公众平台开发 第三方接口作者:方倍工作室 地址:http://www.cnblogs.com/txw1958/p/weixin72-third-party-api.html   测试代码 &lt;?php /* 方倍工作室 第三方接口 测试代码 */ $post = &quot;&lt;xml&gt;&lt;ToUserName&gt;&lt;![CDATA[gh_204936aea56d]]&gt;&lt;/ToUserName&gt; &lt;FromUserName&gt;&lt;![CDATA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Zx20z.html" rel="bookmark">通过第三方接口发送短信验证码&sol;短信通知&lpar;推荐&rpar;&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:将首次交付密码为公共默认密码的方式改为点击入职功能,用短信方式发送系统自动生成的八位含数字.大小写字母和特殊符号生成的密码.短信发送服务由云通信http://www.yuntongxun.com/提供. 随机密码生成方法: /** * 生成随即密码 * @author chao.gao * @param pwd_len 生成的密码的总长度 * @return 密码的字符串 */ public static String genRandomNum(int pwd_len) { // Stri			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgVdBb.html" rel="bookmark" class="title">如何给共享上网的电脑限速</a>
					<div>
						很多用户都在使用多机或多用户路由器共享上网,节省费用的同时麻烦也不少.比如有时有的用户正在进行BT下载,而其它用户想玩个传奇,则可能就玩不舒畅了,因为没有限速的BT下载,常常会吞噬掉大部分甚至全部的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB1nAz.html" rel="bookmark" class="title">ubnutu开启daytime服务</a>
					<div>
						命令操作依次是: sudo apt-get install xinetd fupeng@ubuntu:/etc$ cd xinetd.d   fupeng@ubuntu:/etc/xinetd.d$  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrdK6z.html" rel="bookmark" class="title">CSS响应性设计&colon;不需要调整HTML随意布局网页</a>
					<div>
						文章简介:CSS在响应性设计的未来与改进. 图像在响应性设计里的重要性: 响应性设计里图像是一个关键点,不同设备图像有不同显示规格,大多数的设计师喜欢像素完美化,正常大小的图片在高密度的设备里显示就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWr5rb.html" rel="bookmark" class="title">用PHP制作静态网站的模板框架&lpar;二&rpar;</a>
					<div>
						PHP代码全部保存到单独的文件中,这个文件也就是由页面URL实际调用的文件.Web服务器通过PHP引擎解析该文件,然后把结果返回给浏览器.一般地,PHP代码总是动态地生成页面内容,比如查询数据库或者执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq9yGM.html" rel="bookmark" class="title">Flash制作碧海蓝天海鸥飞片头动画</a>
					<div>
						本例中我们和大家一起用Flash做一个美丽的片头动画:碧海蓝天海鸥飞. 制作步骤 在Flash中新建文件,820*400像素,背景色为白色. 按CTRL+F8建立影片剪辑,名称为&quot;浪&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJaKVp.html" rel="bookmark" class="title">spring入门（2）--写在第一个案例前</a>
					<div>
						1.引入spring的jar文件 libs/spring-beans-3.2.2.RELEASE.jar libs/spring-context- 3.2.2.RELEASE.jar libs/spr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK7QVp.html" rel="bookmark" class="title">基本违例</a>
					<div>
						&quot;违例条件&quot;表示在出现什么问题的时候应中止方法或作用域的继续.为了将违例条件与普通问题区分开,违例条件是非常重要的一个因素.在普通问题的情况下,我们在当地已拥有足够的信息,可在某种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A2DWp.html" rel="bookmark" class="title">使用Windows PowerShell创建WinForm程序</a>
					<div>
						Windows PowerShell最突出之处便在于.NET类库的支持,很大的扩展了脚本的 能力.这使我们能直接在脚本中通过System.Windows.Forms程序集来创建窗口. 今天初次尝试了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PXVAM.html" rel="bookmark" class="title">Oracle分布式事务和两阶段提交&lpar;2PC&rpar;</a>
					<div>
						分布式事务是指发生在多台数据库之间的事务,Oracle中通过dblink方式进行事务处理, 分布式事务比单机事务要复杂的多.大部分的关系型数据库通过两阶段提交(2 Phase Commit 2PC)算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yBeBz.html" rel="bookmark" class="title">硬盘录像机基本操作</a>
					<div>
						1.开机: 若设备前面上的&quot;POWER&quot;键呈红色则说明电源接通,轻按&quot;POWER&quot;键,设备开始启动. 2.录像回放: 使用鼠标在屏幕任意处点击右键,选择&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7ralb.html" rel="bookmark" class="title">Photoshop打造精美的钻石鸡心项链</a>
					<div>
						最终效果图 1.新建一个600X600,72DPI的图象,将背景色填充为黑色. 2.新建图层1,用工具条中自定义形状中的心形形状来拉一个心形,并用钢笔工具按住CTRL来拖动上面的节点调整一下它的形状, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP4nWz.html" rel="bookmark" class="title">Flex Label自动截取、自动换行代码</a>
					<div>
						Flex Label经常会使用到它的自动截取.自动换行代码如下,感兴趣的朋友可以参考下哈,希望对大家有所帮助   复制代码 代码如下: label.maxDisplayedLines=0; // 默认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oO8Rb.html" rel="bookmark" class="title">PS绘制精致写实的购物袋图标</a>
					<div>
						  最终效果图: 新建画布. 给画布拉个渐变. 拉个圆角矩形. 双击图层添加图层样式,先来投影. 接着内阴影,内发光和渐变叠加. 最后来个图案叠加,任选一个用来做纹理. 加完样式后成为这个样子. 拷贝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGqN8p.html" rel="bookmark" class="title">XP系统下U盘文件出现乱码如何解决</a>
					<div>
						  XP系统下U盘文件出现乱码如何解决          一:杀毒软件测试 1.打开360杀毒软件,这里有很多不同的检测方式; 2.我们只是需要检测U盘,所以点击指定位置扫描就可以了,选择需要检测的U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQRjOp.html" rel="bookmark" class="title">seo之合理分析挖掘长尾词方法</a>
					<div>
						首先我们需要挖掘长尾关键词,不同的行业有不同的长尾关键词,但是万变不离其宗,对于大多数词来说其长尾关键词的就是由:很.怎么.好吗.好处.怎么样.如何.价格.效果.作用.官网.好不好.更高.更多等等词语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrve1M.html" rel="bookmark" class="title">httpd&colon; Could not reliably determine the server&amp;amp&semi;&num;39&semi;s fully qualified domain name</a>
					<div>
						[root@luozhonghua sbin]# service httpd start Starting httpd: httpd: apr_sockaddr_info_get() failed f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ6XOp.html" rel="bookmark" class="title">我的qq邮箱和网易邮箱接收不到验证码</a>
					<div>
						问题描述 我的qq邮箱和网易邮箱接收不到验证码 我的网易邮箱跟QQ邮箱均接收不到好多网站的邮箱验证信息,试过各种方法,还是不行.请大神们指教 解决方案 你的邮箱是新申请的吗.要用经常用的邮箱才可以的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rj68p.html" rel="bookmark" class="title">【算法】6 比较排序之外学习新的线性时间排序</a>
					<div>
						回顾比较排序 相信阅读过前面5篇博文的童鞋们已经发现了&quot;在排序的最终结果中,各元素的次序依赖于它们之间的比较&quot;.于是乎,这类排序算法被统称为&quot;比较排序&quot;. 比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgROQmb.html" rel="bookmark" class="title">《HTML5游戏编程核心技术与实战》&mdash;&mdash;2&period;7 案例：《你画我猜》</a>
					<div>
						2.7 案例:&lt;你画我猜&gt; 在这一小节中,我们将利用前面介绍的知识,来创作一个&lt;你画我猜&gt;游戏中的主要功能.&lt;你画我猜&gt;是一款老少皆宜的多人在线的网络游戏,2012 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKyvLb.html" rel="bookmark" class="title">C&num;程序打包</a>
					<div>
						问题描述 我现在做一个C/S程序的打包,我想在安装的过程中,弹出一个窗体,输入用户名密码和保存文件的路径,安装完后把它写在App.config文件中,这怎么做啊. 解决方案 解决方案二:没分啊,兄弟! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjRyJM.html" rel="bookmark" class="title">用python爬虫抓站的一些技巧总结</a>
					<div>
						From : http://www.pythonclub.org/python-network-application/observer-spider 1.最基本的抓站 import urllib2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0da7M.html" rel="bookmark" class="title">HTML5离线存储归纳及使用实例</a>
					<div>
						HTML5离线存储归纳 一.离线存储的作用 1.用户可离线访问你的应用,这对于无法随时保持联网状态的移动终端用户来说尤其重要 2.用户访问本地的缓存文件,通常意味着更快的访问速度 3.仅仅加载被修改过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWGmrM.html" rel="bookmark" class="title">怎么使用Installshield9打包asp&period;net网站</a>
					<div>
						问题描述 怎么使用Installshield9打包asp.net网站 解决方案 解决方案二:你应该会使用Installshield9吧,如果不熟练网上有很多教程可以学会使用网站打包除了vs自带的还可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwyRmM.html" rel="bookmark" class="title">史玉柱持续增持民生银行H股大摩成大空头</a>
					<div>
						编者按:6月12日,本报率先报道了&lt;史玉柱时隔逾8个月再次增持民生银行H股&gt;,该报道引起财经界的广泛关注,业内人士对于史玉柱的增持行为本身以及其借金融衍生品与国际投行&quot;对赌&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgLRJM.html" rel="bookmark" class="title">java-关于用Java语言编写连连看小游戏</a>
					<div>
						问题描述 关于用Java语言编写连连看小游戏 我要做一个连连看程序,用JAVA语言编写,请问有没有大神手里有源码或是能抽空回答我编写过程中的问题,谢 解决方案 http://download.csdn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR3j0p.html" rel="bookmark" class="title">《Unity 4 3D开发实战详解》一6&period;8 本章小结</a>
					<div>
						6.8 本章小结 Unity 4 3D开发实战详解 Unity的便利之处在于,仅仅需要几步简单的操作,就可以使游戏中的物体严格按照物理法则运动.刚体和碰撞器特性模拟了物体的实体性,每个对象将不仅仅是呈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z442wqz.html" rel="bookmark" class="title">TCL手机1月份销量达313万台</a>
					<div>
						[深圳商报讯](记者 刘虹辰)昨天,TCL集团(000100.SZ)发布2011年1月份主要产品销量公告,最耀眼的是其手机销量.公告显示,通讯业务延续2010年的良好发展势头,1月份手机销量达313. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZaxAz.html" rel="bookmark" class="title">浅谈ASP&period;NET中MVC 4 的JS&sol;CSS打包压缩功能&lowbar;实用技巧</a>
					<div>
						今天在使用MVC4打包压缩功能@Scripts.Render(&quot;~/bundles/jquery&quot;) 的时候产生了一些疑惑,问什么在App_Start文件夹下BundleConfi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8ojWb.html" rel="bookmark" class="title">Web API应用架构概括分析和设计实例教程</a>
					<div>
						1.Web API的核心层设计 在目前发达的应用场景下,我们往往需要接入Winform客户端.APP程序.网站程序.以及目前热火朝天的微信应用等,这些数据应该可以由同一个服务提供,这个就是我们所需要构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YWBJp.html" rel="bookmark" class="title">容器采用时最常见的N个挑战该如何克服&quest;</a>
					<div>
						本文讲的是容器采用时最常见的N个挑战该如何克服?[IT168 资讯]虽然容器技术势头不减,但仍然没有在企业中被广泛采用.虽然许多DevOps团队正在尝试使用容器并将此技术慢慢引入生产环境中来,但大多数 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
